Bug 676215 - (kontact_starts_twice) Kontact is sometimes started twice and crashes when closing the 2nd instance
Summary: (kontact_starts_twice) Kontact is sometimes started twice and crashes when cl...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kdepim
Version: 14
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-09 04:56 UTC by Jerry Amundson
Modified: 2011-02-17 00:51 UTC (History)
9 users (show)

Fixed In Version: kdepim-4.4.10-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-17 00:50:53 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
KDE Software Compilation 185544 None None None Never

Description Jerry Amundson 2011-02-09 04:56:31 UTC
Description of problem:
(kontact_starts_twice) Kontact is sometimes started twice and crashes when closing the 2nd instance 

Version-Release number of selected component (if applicable):
 kdepim-4.4.9-2.fc14.src.rpm

How reproducible:
always

Steps to Reproduce:
1.complicated
2.see upstream bug
3.
  
Actual results:
scary 

Expected results:
normal

Additional info:
kontact should not get started twice. Fix from upstream is overwritten by Fedora updates.

Comment 1 Fedora Update System 2011-02-09 14:22:43 UTC
kdepim-4.4.10-1.fc14,kdepim-runtime-4.4.10-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/kdepim-4.4.10-1.fc14,kdepim-runtime-4.4.10-1.fc14

Comment 2 Fedora Update System 2011-02-09 14:22:45 UTC
kdepim-4.4.10-1.fc13,kdepim-runtime-4.4.10-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/kdepim-4.4.10-1.fc13,kdepim-runtime-4.4.10-1.fc13

Comment 3 Jerry Amundson 2011-02-10 03:39:28 UTC
Per comments upstream,

> Patch welcome.
> 
> The crash cannot be reproduced in kdepim 4.6 and the last kdepim 4.4 version
> was released (4.4.10).
> 
> When kdepim 4.6 gets released, this bug will be closed.

this update will not resolve this bug.
Also, even if the intent was to resolve this bug, 
X-KDE-KontactPartLoadOnStart=true
was NOT changed 
to false in /usr/share/kde4/services/kontact/kmailplugin.desktop
as described in upstream bug.

Comment 4 Rex Dieter 2011-02-10 17:14:16 UTC
I took this comment
http://bugs.kde.org/show_bug.cgi?id=185544#c108
to mean that 4.4.10 works-around the problem (or at least one related problem here).

If not, this appears to be the best we can do, at least until kdepim-4.6 lands (which is unlikely to make any official appearance in f14's lifetime, but you never know)

Comment 5 Fedora Update System 2011-02-17 00:50:43 UTC
kdepim-4.4.10-1.fc14, kdepim-runtime-4.4.10-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2011-02-17 00:51:42 UTC
kdepim-4.4.10-1.fc13, kdepim-runtime-4.4.10-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.